﻿using HeuristicLab.Common;
using HeuristicLab.Core;

namespace HeuristicLab.Clients.Hive.CloudManager.Model {
  public class StorageServiceProperties : Item {
    public string Description { get; set; }
    public string AffinityGroup { get; set; }
    public string Location { get; set; }
    public string Label { get; set; }

    public StorageServiceProperties() {

    }

    public StorageServiceProperties(StorageServiceProperties original, Cloner cloner) {
      this.Description = original.Description;
      this.AffinityGroup = original.AffinityGroup;
      this.Location = original.Location;
      this.Label = original.Label;
    }

    public override string ToString() {
      return string.Format("StorageServiceProperties: Desc={0}, AffinityGroup={1}, Location={0}, Label={1}", Description, AffinityGroup, Location, Label);
    }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new StorageServiceProperties(this, cloner);
    }
  }

  public class StorageServiceKeys : Item {
    public string Primary { get; set; }
    public string Secondary { get; set; }

    public StorageServiceKeys() {

    }

    public StorageServiceKeys(StorageServiceKeys original, Cloner cloner) {
      this.Primary = original.Primary;
      this.Secondary = original.Secondary;
    }

    public override string ToString() {
      return string.Format("StorageServiceKeys: Primary={0}, Secondary={1}", Primary, Secondary);
    }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new StorageServiceKeys(this, cloner);
    }
  }
}
